=== debian/changelog ===
icmpush (2.2-7) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1043186)
  * Upgrade debhelper-compat to 10.
  * Set Priority: optional (was: extra).
  * d/copyright: Convert to machine-readable format.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #928112)

 -- Bastian Germann <bage@debian.org>  Mon, 11 Sep 2023 11:06:30 +0000

icmpush (2.2-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999158).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 20:19:02 -0300

icmpush (2.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update DH level to 9 to avoid a FTBFS. (Closes: #800282)
  * debian/compat: created.
  * debian/control:
     - Added the ${misc:Depends} variable to provide the
       right install dependencies.
     - Bumped Standards-Version to 3.9.6.
  * debian/rules: commented the line "export DH_COMPAT=2" to
    avoid the conflict with the new DH level.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Tue, 05 Jan 2016 11:00:47 -0200

icmpush (2.2-6) unstable; urgency=low

  * New maintainer, closes: #189625.
  * Changed standards version 2.5.3-3.5.8.

 -- Ola Lundqvist <opal@debian.org>  Sun, 15 Jun 2003 23:04:01 +0200

icmpush (2.2-5) unstable; urgency=low

  * Recompiled with the new libc6 and a recent libnet0 which uses
    PF_PACKET interface to build packages.

 -- Domenico Andreoli <cavok@debian.org>  Tue,  5 Nov 2002 23:11:02 +0100

icmpush (2.2-4) unstable; urgency=low

  * Any occurrence of sys_errlist has been changed to strerror, this
    makes icmpush compile under hurd. Patch courtesy of
    James Morrison <rocketmail_com@rocketmail.com> (Closes: #112501).
  * Removed emacs cruft at the botton of (this) changelog.

 -- Domenico Andreoli <cavok@debian.org>  Tue, 18 Sep 2001 11:36:26 +0200

icmpush (2.2-3) unstable; urgency=low

  * Added versioned Build-Depend for debhelper. 

 -- Domenico Andreoli <cavok@debian.org>  Tue,  6 Mar 2001 15:17:43 +0100

icmpush (2.2-2) unstable; urgency=low

  * Switched to debhelper compatibilty version 2.
  * Added some missing includes for headers (time.h) which made icmpush
    sources uncompilable on recently upgraded unstable boxes.

 -- Domenico Andreoli <cavok@debian.org>  Wed, 28 Feb 2001 17:11:44 +0100

icmpush (2.2-1) unstable; urgency=low

  * Initial Release.

 -- Domenico Andreoli <cavok@libero.it>  Thu, 14 Sep 2000 15:44:13 +0200
