=== debian/control ===
Source: icmpush
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper-compat (= 10)

Package: icmpush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ICMP packet builder
 icmpush is a tool that builds ICMP packets fully customized
 from command line.
 .
 It supports the following ICMP error types: Redirect, Source
 Quench, Time Exceeded, Destination Unreach and Parameter
 Problem.
 .
 And the following ICMP information types: Address Mask Request,
 Timestamp, Information Request, Echo Request, Router Solicitation
 and Router Advertisement.
